# PSF-LoginServer - master - net.psforever.services.local.support.HackClearActor.ObjectIsHacked
PSF - LoginServer - master - net.psforever.services.local.support.HackClearActor.ObjectIsHacked
Keywords: PSF LoginServer master net.psforever.services.local.support.HackClearActor.ObjectIsHacked

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package local
  Definition Classes
    services
-  package support
  Definition Classes
    local
-  object HackClearActor
  Definition Classes
    support
- ObjectIsHacked
- ObjectIsResecured
- SendHackMessageHackCleared

c

net.psforever.services.local.support.HackClearActor

# ObjectIsHacked

###

#### final case class ObjectIsHacked(target: PlanetSideServerObject, zone: Zone, unk1: Long, unk2: Long, duration: Int, time: Long = System.nanoTime()) extends Product with Serializable

Message that carries information about a server object that has been hacked.

target

  the server object

zone

  the zone in which the object resides

duration

  how long the object is to stay hacked for in seconds

time

  when the object was hacked

Source
  HackClearActor.scala
See also

  `HackEntry`

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectIsHacked
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectIsHacked(target: PlanetSideServerObject, zone: Zone, unk1: Long, unk2: Long, duration: Int, time: Long = System.nanoTime())

   target

     the server object

   zone

     the zone in which the object resides

   duration

     how long the object is to stay hacked for in seconds

   time

     when the object was hacked

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val duration: Int
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  val target: PlanetSideServerObject
17.  val time: Long
18.  val unk1: Long
19.  val unk2: Long
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  val zone: Zone

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped